package org.rcisoft.sys.sysuser.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class ExportUserDTO {
    @ApiModelProperty(name = "username", value = "登录名", required = true, dataType = "varchar")
    @Excel(name = "登录名", orderNum = "0", width = 15.0)
    private String username;

    @ApiModelProperty(name = "nickName", value = "昵称", required = true, dataType = "varchar")
    @Excel(name = "昵称", orderNum = "1", width = 15.0)
    private String nickName;

    @ApiModelProperty(name = "name", value = "姓名", required = true, dataType = "varchar")
    @Excel(name = "姓名", orderNum = "2", width = 15.0)
    private String name;

    @ApiModelProperty(name = "email", value = "邮箱", required = true, dataType = "varchar")
    @Excel(name = "邮箱", orderNum = "3", width = 15.0)
    private String email;

    @ApiModelProperty(name = "phone", value = "手机号", required = true, dataType = "varchar")
    @Excel(name = "手机号", orderNum = "4", width = 15.0)
    private String phone;

    @ApiModelProperty(name = "idNumber", value = "身份证号", required = true, dataType = "varchar")
    @Excel(name = "身份证号", orderNum = "5", width = 15.0)
    private String idNumber;

    @ApiModelProperty(name = "sex", value = "性别（0：男，1：女）", required = true, dataType = "varchar")
    @Excel(name = "性别", orderNum = "6", width = 15.0)
    private String sex;

    @TableField(exist = false)
    @Excel(name = "岗位", orderNum = "7", width = 15.0)
    private String postIds;

    @ApiModelProperty(name = "password", value = "密码", required = true, dataType = "varchar")
    private String password;

    @ApiModelProperty(name = "userType", value = "用户类型", required = true, dataType = "varchar")
    private String userType;

    @ApiModelProperty(name = "avatar", value = "头像地址", required = true, dataType = "varchar")
    private String avatar;

    @ApiModelProperty(name = "loginIp", value = "最后登录IP", required = true, dataType = "varchar")
    private String loginIp;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "loginDate", value = "最后登录时间", required = true, dataType = "date")
    private Date loginDate;
}
